pipeline {
    agent any
	tools {
		maven 'Default'
		jdk 'java-11-openjdk-amd64'
	}

    stages {
		stage('Initialize') {
            steps {
			sh '''
				echo "PATH = ${PATH}"
				echo "M2_HOME = ${M2_HOME}"
			'''
            }
        }
        stage('Build') {
            steps {
                echo 'Building..'
				sh '''
				cd BackEnd
				mvn clean install -Dmaven.test.skip=true
				sh '''
            }
        }
        stage('Test') {
            steps {
                echo 'Testing..'
            }
        }
        stage('Deploy') {
            steps {
                echo 'Deploying....'
            }
        }
    }
}